Bug 821717 - mdadm --add fails in common situations
Summary: mdadm --add fails in common situations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 821718 821719
TreeView+ depends on / blocked
 
Reported: 2012-05-15 12:24 UTC by Jes Sorensen
Modified: 2012-07-11 23:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 821718 821719 (view as bug list)
Environment:
Last Closed: 2012-07-11 23:53:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Jes Sorensen 2012-05-15 12:24:24 UTC
Description of problem:
mdadm-3.2.4 introduced a bug where --add can fail in common situations.

The following upstream fix is needed:

http://neil.brown.name/git?p=mdadm;a=commitdiff;h=d9751e06a601b5576b1b9e2c8126584083110ca5

Comment 1 Fedora Update System 2012-05-15 16:35:54 UTC
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17

Comment 2 Fedora Update System 2012-05-21 15:07:35 UTC
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17

Comment 3 Fedora Update System 2012-06-07 02:56:16 UTC
Package mdadm-3.2.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8988/mdadm-3.2.5-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-06-26 07:15:52 UTC
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17

Comment 5 Fedora Update System 2012-07-11 23:53:48 UTC
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.